import request from '../utils/request'

//商品列表
export function getAddShop(data) {
  return request({
    url: `/lease/shop/addShop`,
    method: 'post',
    data
  })
}

// 我的店铺（获取当前用户店铺信息）
export function getMyShop(params) {
  return request({
    url: `/lease/shop/getShopByUserEmail`,
    method: 'get',
    params
  })
}

// 更新店铺
export function updateShop(data) {
  return request({
    url: `/lease/shop/updateShop`,
    method: 'post',
    data
  })
}

// 删除店铺
export function deleteShop(id) {
  return request({
    url: `/lease/shop/deleteShop`,
    method: 'post',
    data: { id }
  })
}

// 查询店铺信息（根据ID）
export function queryShop(data) {
  return request({
    url: `/lease/shop/getShopById`,
    method: 'post',
    data
  })
}

// 关闭店铺
export function closeShop(id) {
  return request({
    url: `/lease/shop/closeShop`,
    method: 'post',
    data: { id }
  })
}

// 根据 店铺id 查询店铺商品配置信息列表
export function getShopConfig(id) {
  return request({
    url: `/lease/shop/getShopConfig`,
    method: 'post',
    data: { id }
  })
}


// 新增商铺配置
export function addShopConfig(data) {
  return request({
    url: `/lease/shop/addShopConfig`,
    method: 'post',
    data
  })
}

// 根据配置id 修改配置
export function updateShopConfig(data) {
  return request({
    url: `/lease/shop/updateShopConfig`,
    method: 'post',
    data
  })
}

// 根据配置id 删除配置
export function deleteShopConfig(data) {
  return request({
    url: `/lease/shop/deleteShopConfig`,
    method: 'post',
    data
  })
}


// 钱包配置(用于修改卖家钱包地址)----获取链(一级)和币(二级) 下拉列表（获取本系统支持的链和币种）
export function getChainAndCoin(data) {
  return request({
    url: `/lease/shop/getChainAndCoin`,
    method: 'post',
    data
  })
}


// 卖家绑定钱包明细
export function getShopConfigV2(data) {
  return request({
    url: `/lease/v2/shop/getShopConfigV2`,
    method: 'post',
    data
  })
}











